%define languageenglazy Korean
%define languagecode    ko
%define lc_ctype        ko_KR

Name:           hunspell-%{languagecode}
Version:        0.7.92
Release:        %mkrel 6
Summary:        %{languageenglazy} hunspell dictionaries
License:        MPLv1.1 or GPLv2 or LGPLv2
Group:          System/Internationalization
URL:            https://github.com/spellcheck-ko/hunspell-dict-ko/
Source0:        https://github.com/spellcheck-ko/hunspell-dict-ko/archive/%{version}.tar.gz

BuildRequires:  python3-lxml
BuildRequires:  python3-yaml
BuildRequires:  hunspell
BuildRequires:  locales-en

BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-ko
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2
Provides:       dictionary-%{lc_ctype} = 2

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n hunspell-dict-ko-%{version}

%build
%make_build

%install
install -D -m 0644 -p ko.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ko.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%check
export LC_ALL=UTF-8
rm -r tests/009-auxiliary-verb.test
%__make test

%files
%doc README.md
%license LICENSE.md LICENSE.LGPL-2.1 LICENSE.MPL-1.1 LICENSE.GPL-3 LICENSE.GPL-2
%license LICENSE.CC-BY-SA-4.0 LICENSE.CC-BY-SA-2.0-KR LICENSE.CC-BY-4.0
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.7.92-6.mga10
+ Revision: 2218023
- Mageia 10 Mass Rebuild

* Wed Mar 08 2023 daviddavid <daviddavid> 0.7.92-5.mga9
+ Revision: 1948407
- remove failing '009-auxiliary-verb' test to fix build issue

* Sun Mar 27 2022 umeabot <umeabot> 0.7.92-4.mga9
+ Revision: 1829471
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 0.7.92-3.mga8
+ Revision: 1537790
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 daviddavid <daviddavid> 0.7.92-2.mga8
+ Revision: 1459138
- re-enable tests

* Sat Nov 09 2019 zezinho <zezinho> 0.7.92-1.mga8
+ Revision: 1458963
- new version

* Thu Sep 20 2018 umeabot <umeabot> 0.5.6-2.mga7
+ Revision: 1278842
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 0.5.6-1.mga7
+ Revision: 1213475
- Update to version 0.5.6

* Mon Feb 08 2016 umeabot <umeabot> 0.5.5-5.mga6
+ Revision: 943246
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.5-4.mga5
+ Revision: 739525
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.5-3.mga5
+ Revision: 680262
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.5.5-2.mga4
+ Revision: 527764
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 tv <tv> 0.5.5-1.mga4
+ Revision: 442155
- new release

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-6.mga3
+ Revision: 353522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.5.3-5.mga3
+ Revision: 325543
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.5.3-4.mga2
+ Revision: 224716
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 0.5.3-3.mga2
+ Revision: 208491
- use better obsoleting of myspell

* Fri Jan 27 2012 kamil <kamil> 0.5.3-2.mga2
+ Revision: 202111
- adapt .spec to the current policies

* Fri Jul 08 2011 ahmad <ahmad> 0.5.3-1.mga2
+ Revision: 120153
- Update to 0.5.3

* Sat Mar 12 2011 dmorgan <dmorgan> 0.5.0-2.mga1
+ Revision: 68889
- imported package hunspell-ko


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Caolán McNamara <caolanm@redhat.com> - 0.5.0-1
- latest version

* Sat Aug 07 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.3-1
- latest version
- drop integrated hunspell-dict-ko-0.4.2-1278333282.fixtests.patch

* Mon Jul 05 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.2-2
- enable make check now that hunspell is fixed to know about
  hangul syllables

* Mon Jul 05 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.2-1
- latest version

* Tue Jun 08 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.1-1
- latest version

* Mon Mar 01 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.0-1
- latest version

* Tue Nov 03 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.5-1
- latest version

* Sun Aug 30 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.3-1
- latest version

* Sun Jul 26 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.2-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.1-1
- latest version

* Mon Jun 22 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.0-1
- latest version

* Wed Jun 17 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.4-2
- build from source

* Mon Jun 15 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.4-1
- initial version
